One Star

tPostgresqlInput

Hello!
im new in Talend and i need some help.
i have the 5.3.1 version and i need to ETL a database using PostgreSQL, but i dont know how to do it.
when i tried to use the tPostgresqlInput, the icon told me that i don't have the module requiered.
i tried to download the module, but the button of "Download and install" its not working. I just download the .jar and used the button add .jar but nothing happened.
What do i have to do so the tPostgresql tools work?
Please help me
I'm sorry about my bad english. This is not my natural language
3 REPLIES
Moderator

Re: tPostgresqlInput

Hi,
The icon"!" indicates that the module is not necessarily required for the corresponding component listed in the Context column. The icon"X" indicates that the module is absolutely required for the corresponding component or Metadata connection.TalendHelpCenter:Identify required external modules
Surely, you can download these external jar from website.
There are two ways to import and use an external jar.
- Use tLibraryLoad to load the jar in the job.
- Create a custom routine, import the jar in the routine and then call the routine in the job.
There are two ways for you to export the external jar files:
1)Using tLibraryload component to load the jar file at the begininig of job. for example:
tLibraryLoad
|
tJava(on tJava, use the external API)
2)Creating custom routine, import the external jar file by clicking on the rouinte name and edting the routine libraries, and then call this routine in the job.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: tPostgresqlInput

Thank you 'xdshi'
I think i did what you just said.
But i'm not sure about my success. It still shows mw the warning button.
I just downloaded the .jar from an external URL.
I don't know how to use this usefull tool, do you where can i get some tuturials??
Dantz
Moderator

Re: tPostgresqlInput

Hi,
But i'm not sure about my success. It still shows mw the warning button.

If it is "!" state,which indicates that the module is not necessarily required for the corresponding component listed in the Context column. The warning won't affect your job, however, it don't disappear until you have added these external jars into studio.
Please see component reference about TalendHelpCenter:tLibraryLoad
And related documents What are routines, Managing user routines and Calling a routine from a Job.
Hope it will be helpful for you.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.